IP_ROUTER_ALERT(2const)

NAME
IP_ROUTER_ALERT - pass all to-be forwarded packets

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_ROUTER_ALERT,
               const int *enable, sizeof(int));

DESCRIPTION
Pass all to-be forwarded packets with the IP Router Alert option set to this socket.

Valid only for raw sockets.

This is useful, for instance, for user-space RSVP daemons.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

STANDARDS
Linux.

HISTORY
Linux 2.2.

CAVEATS
The tapped packets are not forwarded by the kernel; it is the user's responsibility to send them out again.

Socket binding is ignored, such packets are filtered only by protocol.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)